/*
 * @Author: xiejiang
 * @Date: 2024-11-11 09:38:39
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-12-03 10:57:26
 * @Description:
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */
import { ResultEnum } from '@/enums/httpEnum'

// 分页响应参数
export interface ResPage<T> {
  list: T[]
  pageNum: number
  pageSize: number
  total: number
}

// 请求响应参数（不包含data）
export interface Result {
  code: ResultEnum | number
  msg: string
  recordsFiltered?: number
}

// 请求响应参数（包含data）
export type ResultData<T = any, U extends object = {}> = {
  data: T
} & Result &
  U

// 分页请求参数
export interface ReqPage {
  limit?: number
  page: number
}

export interface KeyAny {
  [key: string]: any // 定义字符串索引签名
}
