/*
 * @Author: xiejiang
 * @Date: 2024-12-05 09:20:12
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-12-10 17:08:56
 * @Description:
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */
import type { ReqPage, KeyAny } from '@/api/interface'

// 定义请求参数类型
export interface ReqVersionPage extends ReqPage {
  versionType?: number | string // 终端类型*【1：平台端（后台）；2：机构端；3：】
  onlineTime?: string // 上线时间*
  status?: number | string // 版本状态*【1：开发中；2：已发布；3：已下线】
}

export interface ReqVersion {
  version: string // 版本号* [必填]
  versionType: number // 终端类型*【1平台（后台） 2机构】 [必填]
  description: string // 更新说明* [必填]
  versionId?: number // 版本id* [必填]
  status?: number // 版本状态*【1：开发中；2：已发布；3：已下线】 [必填]
  remark: string //版本备注
}

// 定义响应版本数据类型
export interface ResVersion extends KeyAny {
  platformVersionId?: number // 平台端版本id  [必填]
  description?: string // 版本更新说明  [必填]
  inputTime?: string // 创建时间  [必填]
  inputUserId?: number // 创建人id  [必填]
  inputUserName?: string // 创建人名称  [必填]
  onlineTime?: string // 上线时间  [必填]
  platformType?: number // 终端类型*【1：平台端（后台）；2：机构端；3：】  [必填]
  platformVersionLogs?: any[] // 平台端版本日志  [必填]
  remark?: string // 备注  [必填]
  versionId?: string // 版本id  [必填]
  updateTime?: string // 更新时间  [必填]
  updateUserId?: number // 更新人id  [必填]
  version?: string // 版本号  [必填]
  status?: number // 版本状态*【1：开发中；2：已发布；3：已下线】  [必填]
}

// 定义响应版本分页数据类型
export interface ResVersionPage {
  publishedNum: number // 已发布数量  [必填]
  pageInfo: {
    list: ResVersion[]
    total: number // 总数  [必填]
  }
}
