/*
 * @Author: xiejiang
 * @Date: 2024-11-28 15:00:25
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-12-11 19:55:02
 * @Description: 系统配置
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */
import { RouteRecordRaw } from 'vue-router'

const sysConfigRouter: RouteRecordRaw[] = [
  {
    path: '/layout',
    component: () => import('@/layouts/index.vue'),
    name: 'system-permissions',
    meta: {
      title: '系统权限'
    },
    children: [
      {
        path: '/dictionary',
        name: 'dictionary',
        component: () => import('@/views/sys-config/dictionary/index.vue'),
        meta: {
          title: '系统字典',
          keepAlive: true
        }
      },
      {
        path: '/dictionary/subset',
        name: 'dictionary-subset',
        component: () => import('@/views/sys-config/dictionary/dictionary-subset.vue'),
        meta: {
          title: '管理子集',
          access: 'dictionary',
          noTopTag: true,
          affix: false,
          activeMenu: 'dictionary',
          hideFooter: true
        }
      },
      {
        path: '/menu',
        name: 'sys-menu',
        component: () => import('@/views/sys-config/menu/index.vue'),
        meta: {
          title: '菜单管理',
          keepAlive: true
        }
      },
      {
        path: '/version',
        name: 'version',
        component: () => import('@/views/sys-config/version/index.vue'),
        meta: {
          title: '版本管理',
          keepAlive: true
        }
      }
    ]
  }
]

export default sysConfigRouter
